Bug 623194 - Traceback on pulp consumergroup add_consumer if the group id does not exists
Summary: Traceback on pulp consumergroup add_consumer if the group id does not exists
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: pulp-verified
TreeView+ depends on / blocked
 
Reported: 2010-08-11 14:54 UTC by Preethi Thomas
Modified: 2015-03-23 01:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 14:00:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Preethi Thomas 2010-08-11 14:54:03 UTC
Description of problem:


[root@preethi pulp]# pulp -u admin -p admin consumergroup add_consumer --consumerid=pthomas --id=pthomas-grp


"Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 50, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/role_check.py\", line 102, in check_roles\n    ret=f(instance, *fargs, **kw)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/consumergroups.py\", line 169, in POST\n    return action(id)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/consumergroups.py\", line 134, in add_consumer\n    api.add_consumer(id, data)\n  File \"/usr/lib/python2.6/site-packages/pulp/auditing.py\", line 191, in _audit\n    result = method(*args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/api/consumer_group.py\", line 89, in add_consumer\n    raise PulpException(\"No Consumer Group with id: %s found\" % groupid)\nPulpException: u'No Consumer Group with id: pthomas-grp found'\n"
[root@preethi pulp]#

Comment 1 Sayli Karmarkar 2010-08-12 18:21:59 UTC
Fixed.

# pulp-admin -u admin -p admin consumergroup add_consumer --id=mygroup --consumerid=foo
 Adding consumer failed 


[root@pulp-server pulp]# tail -f /var/log/pulp/pulptools.log 
2010-08-12 10:21:35,865 [ERROR][MainThread] _add_consumer() @ core_consumergroup.py:196 - Error: 500: "Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 50, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/role_check.py\", line 102, in check_roles\n    ret=f(instance, *fargs, **kw)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/consumergroups.py\", line 180, in POST\n    return action(id)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/consumergroups.py\", line 135, in add_consumer\n    api.add_consumer(id, data)\n  File \"/usr/lib/python2.6/site-packages/pulp/auditing.py\", line 186, in _audit\n    result = method(*args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/api/consumer_group.py\", line 95, in add_consumer\n    raise PulpException(\"No Consumer with id: %s found\" % consumerid)\nPulpException: u'No Consumer with id: foo found'\n"

Comment 2 Shveta 2010-08-18 09:34:26 UTC
[root@fedora12g2 ~]# pulp-admin -u admin -p admin consumergroup add_consumer --id=mygroup --consumerid=foo
 Adding consumer failed 


[root@fedora12g2 ~]# pulp-admin -u admin -p admin consumergroup create --id=grpid --consumerids=10.65.193.75
 Successfully created Consumer group [ grpid ] with description [  ]
[root@fedora12g2 ~]# pulp-admin -u admin -p admin consumergroup add_consumer --consumerid=10.65.193.75 --id=grpid
 Successfully added Consumer [10.65.193.75] to Group [grpid]

Comment 3 Preethi Thomas 2011-08-16 14:00:18 UTC
Closing with Community Release 15

pulp-0.0.223-4.


Note You need to log in before you can comment on or make changes to this bug.